import request from "../utils/request.js";

import config from "../utils/config";

// 获取银行列表
export const getBanksList = (data) => {
  return request.get(`/wechat/auth.banks/banks`, data);
};

// 添加银行卡
export const addBanks = (data) => {
  return request.post(`/wechat/auth.banks/set`, data);
};

// 获取我的银行卡列表
export const getMyBanks = (data) => {
  return request.get(`/wechat/auth.banks/get`, data);
};

// 删除我的银行卡
export const removeBanks = (data) => {
  return request.post(`/wechat/auth.banks/delete`, data);
};

// 设置我的银行卡状态
export const setBankState = (data) => {
  return request.post(`/wechat/auth.banks/state`, data);
};

// 添加提现申请
export const addWithdrawal = (data) => {
  return request.post(`/wechat/auth.transfer/add`, data);
};

// 获取提现申请记录列表
export const getWithdrawalList = (data) => {
  return request.post(`/wechat/auth.transfer/index`, data);
};

// 取消提现申请
export const cancelWithdrawal = (data) => {
  return request.post(`/wechat/auth.transfer/cancel`, data);
};

// 用户确认提现
export const confirmWithdrawal = (data) => {
  return request.post(`/wechat/auth.transfer/confirm`, data);
};
